%define GTKMDKDATE	20070321
%define MENUDATE  	20070321

Summary:	Localization files for Menu system
Name:		mdk-menu-messages
Version:	2007
Release:	%mkrel 4

Source0:	menu-messages-%{MENUDATE}.tar.bz2
Source1:	gtk+mdk-%{GTKMDKDATE}.tar.bz2
Source2:	mdk-desktop.tar.bz2

License:	GPL
Group:		System/Base
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires(post):	menu >= 2.1.5-115mdk
Requires(postun):	menu >= 2.1.5-115mdk
Conflicts:	gtk+mdk =< 0.1.6-13mdk
BuildRequires:	gettext
BuildRequires:  intltool
BuildArchitectures: noarch


%description
This package includes that translations of the main menu used by the
different desktops and window managers of the distribution;
as well as translations used by specifically added features.

%prep

%setup -q -n menu-messages-%MENUDATE -a 1

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale

for i in main/*.po ;
     do f=${i#main/}
     if [[ -e contrib/$f ]]; then
        msgcat --use-first $i contrib/$f > $f
     else cp -al $i .
     fi
done


# fix norwegian bokmål in kde
# to remove once KDE uses "nb" instead of old "no" code
[ ! -r no.po -a -r nb.po ] && cp nb.po no.po

# menu-messages files
#touch toto.c
#make po_files
for i in ./*.po
do
  langdir="$RPM_BUILD_ROOT%{_datadir}/locale/`basename ${i} .po`/LC_MESSAGES/"
  mkdir -p ${langdir}
  msgfmt -o	${langdir}/menu-messages.mo ${i}
done

# gtk+mdk files
for i in gtk+mdk-%GTKMDKDATE//po/*.po
do
  langdir="$RPM_BUILD_ROOT%{_datadir}/locale/`basename ${i} .po`/LC_MESSAGES/"
  mkdir -p ${langdir}
  msgfmt -o	${langdir}/gtk+mdk.mo ${i}
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/mdk/menu

bzcat %{SOURCE2} | tar xf -

for file in *-mdk.desktop.template ; do
  intltool-merge -d -u . $file $RPM_BUILD_ROOT%{_datadir}/mdk/menu/$file 
done


%find_lang menu-messages
%find_lang gtk+mdk

cat menu-messages.lang > mdk-menu-messages.lang
cat gtk+mdk.lang >> mdk-menu-messages.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f mdk-menu-messages.lang
%defattr(-,root,root,0755)
%{_datadir}/mdk/menu/*


%changelog
* Wed Mar 21 2007 Frederic Crozat <fcrozat@mandriva.com> 2007-4mdv2007.1
+ Revision: 147308
- New translations snapshot, fixes sl translation causing bug #29747
- no longer create /etc/menu-methods/lang.h, obsolete

* Wed Feb 28 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007-3mdv2007.1
+ Revision: 130170
- Import mdk-menu-messages



* Wed Feb 28 2007 Thierry Vignaud <tvignaud@mandrakesoft.com> 2007-3mdv2007.1
- make it noarch
- update

* Mon Sep 18 2006 Pablo Saratxaga <pablo@mandriva.com> 2007-2mdv2007.0
- new translations

* Fri Sep 15 2006 Pablo Saratxaga <pablo@mandriva.com> 2007-1mdv2007.0
- update of the translations,
- and version number changed to match distribution number

* Fri Sep 08 2006 Pablo Saratxaga <pablo@mandriva.com> 2006-5mdv2007.0
- New snapshot

* Wed Jul 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2006-4mdv2007.0
- New snapshot, should really fix #23641 this time

* Tue Jul 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2006-3mdv2007.0
- New snapshot (Mdv bug #23641)

* Mon Jul 10 2006 Frederic Crozat <fcrozat@mandriva.com> 2006-2mdv2007.0
- Regenerate menu message translations
- mkrel

* Fri Sep 23 2005 Frederic Lepied <flepied@mandriva.com> 2006-1mdk
- Mandriva Linux

* Tue Sep 20 2005 Frederic Crozat <fcrozat@mandriva.com> 10.2-10mdk 
- Update translations

* Tue Sep 20 2005 Frederic Crozat <fcrozat@mandriva.com> 10.2-9mdk 
- Updated translation

* Fri Aug 26 2005 Frederic Crozat <fcrozat@mandriva.com> 10.2-8mdk 
- Update source2, remove desktop-mdk.desktop.template, ~/Desktop
  is too much used

* Wed Aug 24 2005 Frederic Crozat <fcrozat@mandriva.com> 10.2-7mdk 
- Rename .desktop.in into .desktop.template, add icons, fix errors

* Fri Aug 12 2005 Pablo Saratxaga <pablo@mandriva.com> 10.2-6mdk
- updated translations

* Tue Aug 09 2005 Frederic Crozat <fcrozat@mandriva.com> 10.2-5mdk 
- Source2: add .desktop files for default directories

* Fri Jul 29 2005 Pablo Saratxaga <pablo@mandriva.com> 10.2-4mdk
- updated translations and synch of pot file with cooker

* Wed Jul 06 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 10.2-3mdk
- updated translations

* Thu Mar 31 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 10.2-2mdk
- updated translations

* Wed Mar 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-1mdk
- updated translations

* Mon Feb 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.2-0.2mdk
- updated translations

* Sat Feb 05 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 10.2-0.1mdk
- updated translations

* Mon Oct 04 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 10.1-6mdk
- updated translations (he,sv,uk,cs,zh_CN,da,nn,pt,ja,he,nn,uz,fi,fa)

* Fri Oct 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-5mdk
- update translations

* Fri Sep 10 2004 David Baudens <baudens@mandrakesoft.com> 10.1-4mdk
- Update fr.po

* Fri Sep 10 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 10.1-3mdk
- updated translation catalogs

* Tue Sep 07 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 10.1-2mdk
- update translation catalogs
- changed definition of lang()= so that it uses the first preferred
  language with translations

* Thu Aug 19 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 10.1-1mdk
- update translation catalogs
- increased version number

* Tue Aug 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.0-11mdk
- update translation catalogs

* Wed Jul 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.0-10mdk
- update translation catalogs

* Fri Jul 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.0-9mdk
- fix lang.h generation when system is configured with fallback
  (ie: LANGUAGE=locale1:locale2),
  (thus preventing garbage ala "NAME[locale1 locale2]=..."
  in KDE menu entries, thus enabling to have translations in menu)

* Fri May 14 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 10.0-8mdk
- updated strings for updateds mandrake-doc packages

* Mon Mar 29 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 10.0-7mdk
- integrated Basque translations

* Tue Mar 22 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 10.0-6mdk
- updated po files

* Tue Mar 16 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 10.0-5mdk
- updated po files
- new languages: Armenian

* Wed Mar 10 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 10.0-4mdk
- updated po files

* Tue Feb 26 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 10.0-3mdk
- updated po files

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 10.0-2mdk
- Update .directory files with SortOrder

* Tue Feb 10 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 10.0-1mdk
- updated po files

* Fri Dec 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.2-8mdk
- updated po files
- fix for nb translation not getting used in kde
  (Per Øyvind Karlsen <peroyvind@linux-mandrake.com>)

* Fri Oct 10 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.2-7mdk
- updated po files

* Wed Sep 17 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.2-6mdk
- updated po files

* Thu Sep 11 2003 David Baudens <baudens@mandrakesoft.com> 9.2-5mdk
- Update po files

* Sat Aug 30 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.2-4mdk
- updated po files

* Thu Aug 28 2003 David Baudens <baudens@mandrakesoft.com> 9.2-3mdk
- Add support for sort in K menu

* Thu Aug 21 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.2-2mdk
- take and improved from "menu" package the script that builds the list
  of supported languages. Fix for bug #3935

* Mon Aug 04 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.2-1mdk
- updated po files

* Mon Mar 17 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.1-1mdk
- updated po files

* Sat Mar 15 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 9.1-0.7mdk
- make nb translation work in kde

* Thu Mar 11 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.1-0.6mdk
- updated po files

* Sat Feb 22 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.1-0.5mdk
- include *.desktop files from "menu" package, otherwise they
  don't get translated

* Wed Feb 19 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.1-0.4mdk
- updated po files

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-0.3mdk
- update gtk+mdk po files

* Mon Feb 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-0.2mdk
- Conflict with old gtk+mdk package

* Mon Feb 10 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.1-0.1mdk
- first version of a packaged containing all mdk-specific translations

# end of file
